package org.gvsig.forms.view;

import java.io.File;

import org.gvsig.forms.model.FeatureTemp;

import com.hardcode.gdbms.engine.data.driver.DriverException;

import es.prodevelop.gvsig.mobile.fmap.driver.vect.dbf.DbfMemoryDataSource;
import es.prodevelop.gvsig.mobile.fmap.util.ResourceReader;

public class TestUpdateGeneric {
	public static void main(String[] args) {
		
		GenericForm form = new GenericForm();
		FeatureTemp fea = getFeature();

		if (AlphanumericalData.update(form, fea)){
			System.out.println("Data has been edited");
		}

	}
	
	
	private static FeatureTemp getFeature(){
		File f = ResourceReader.getResourceFile("forms","Streets.dbf");
		DbfMemoryDataSource drv;
		drv = new DbfMemoryDataSource(f);
		FeatureTemp fea = null;
		try{
			fea = new FeatureTemp();
			drv.start();
			int nCols = drv.getFieldCount();
			fea.setFieldNames(drv.getFieldNames());
			fea.setValues(drv.getRow(0));
			int[] types = new int[nCols];
			for (int i=0; i<nCols; i++){
				types[i]=drv.getFieldType(i);
			}
			fea.setFieldTypes(types);
		} catch (DriverException e){e.printStackTrace();}
		return fea;
	}
}
