package org.gvsig.gpe.gpx.utils;

import java.util.regex.Pattern;

/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/

public class StringUtils {
	//----------------------------------------------------------------------
	// PROBLEM WITH COMPATIBILITY OF "split()" WITH IBM J9 JAVA MICROEDITION
	//----------------------------------------------------------------------
	public static String[] splitString(String input, String sep) {
		return Pattern.compile(sep).split(input, 0);
	}

	public static String[] charSplit(String origin, String expresion){
		String ns[];
		String aux = origin;
		int indexFin;
		int indexStart=0;
		int i=0;
			//take the string in couples of words separates by :
		indexFin = origin.indexOf(expresion);
		if(indexFin!=-1){
			while (indexFin!=-1){
				aux = aux.substring(indexFin+1);
				indexFin = aux.indexOf(expresion);
				i++;
			}
			ns = new String[i+1];
			aux = origin;
			i=0;
			indexFin = aux.indexOf(expresion);
			while (indexFin!=-1){
				ns[i]= aux.substring(0,indexFin);
				indexStart=indexFin+1;
				aux = aux.substring(indexStart);
				indexFin = aux.indexOf(expresion);
				i++;
			}
			ns[i]=aux;	
		}
		else
		{
			ns = new String[1];
			ns[0] = origin;
		}
		return ns;
	}
	//----------------------------------
	// end of the split() compatibility
	//----------------------------------
	public static String replaceAllString(String original, String match_old,
			String match_new) {
		return Pattern.compile(match_old).matcher(original).replaceAll(
				match_new);
	}
}
