/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2006 Prodevelop and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *   +34 963862235
 *   gvsig@gva.es
 *   http://www.gvsig.gva.es
 *
 *    or
 *
 *   Prodevelop Integracin de Tecnologas SL
 *   Conde Salvatierra de lava , 34-10
 *   46004 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   gis@prodevelop.es
 *   http://www.prodevelop.es
 *
 *    or
 *
 *   Instituto de Robtica
 *   Apartado de correos 2085
 *   46071 Valencia
 *   (Spain)
 *
 *   +34 963 543 577
 *   jjordan@robotica.uv.es
 *   http://robotica.uv.es
 *
 */

package gnu.io;

/**
 * @author juangui
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class RXTXCommDriver implements CommDriver {

	private static boolean debug = false;

	/**
	 * initialize() will be called by the CommPortIdentifier's static initializer.
	 * The responsibility of this method is:
	 * 1) Ensure that that the hardware is present.
	 * 2) Load any required native libraries.
	 * 3) Register the port names with the CommPortIdentifier.
	 */
	public void initialize() {
		// TODO Auto-generated method stub
	}

	/**
	 * getCommPort() will be called by CommPortIdentifier from its open() method.
	 * portName is a string that was registered earlier using the
	 * CommPortIdentifier.addPortName() method. getCommPort() returns an object
	 * that extends either SerialPort or ParallelPort.
	 * @param portName - Name of the port
	 * @param portType - PORT_SERIAL or PORT_PARALLEL
	 */
	public CommPort getCommPort(String portName, int portType) {
		// TODO Auto-generated method stub
		try {
			if (portType==CommPortIdentifier.PORT_SERIAL)
			{
				return new RXTXPort(portName);
			}
		} catch( PortInUseException e ) {
			//if (debug)
			//	System.out.println(
			//		"Port in use by another application");
		}
		return null;
	}

}
