package es.prodevelop.gvsig.mobile.gui.bar;

public class GPSStatusBarItem extends StatusBarItem {

	public static final int NMEA_DATA_ID_NAVCOM_STARTFIRE_QUALITY = 0;
	public static final int NMEA_DATA_ID_NAVCOM_RMS = 1;
	
	public GPSStatusBarItem() {
		super(StatusBar.GPS_BAR);
	}
	
	/*
	public void setNavComVisibility(int nmea_data_id, boolean b) {
		
		switch (nmea_data_id) {
		case NMEA_DATA_ID_NAVCOM_STARTFIRE_QUALITY:
			if (b) {
				StatusBarIcon isbi_starfire = new NavComImageStatusBarIcon();
				iconList[2] = isbi_starfire;
			} else {
				iconList[2] = null;
			}
			break;
		case NMEA_DATA_ID_NAVCOM_RMS:
			if (b) {
				StatusBarIcon isbi_rms = new NavComRMSStatusBarIcon();
				iconList[3] = isbi_rms;
			} else {
				iconList[3] = null;
			}
			break;
		}
	}
	*/
	
	public void setNewDataValue(int nmea_id, Object value) {
		
		switch (nmea_id) {
		
		case NMEA_DATA_ID_NAVCOM_STARTFIRE_QUALITY:
		
			if (iconList[2] == null) {
				StatusBarIcon isbi_starfire = new NavComImageStatusBarIcon();
				iconList[2] = isbi_starfire;
			}
			Integer intv = (Integer) value;
			((NavComImageStatusBarIcon) iconList[2]).setNewStarfireValue((intv.intValue()));
			
		break;
		
		case NMEA_DATA_ID_NAVCOM_RMS:
			
			if (iconList[3] == null) {
				StatusBarIcon isbi_rms = new NavComRMSStatusBarIcon();
				iconList[3] = isbi_rms;
			}
			Double douv = (Double) value;
			((NavComRMSStatusBarIcon) iconList[3]).setNewRMS((douv.doubleValue()));
		break;
		
		}
	}
	
	public void clearSpecialData() {
		iconList[2] = null;
		iconList[3] = null;
	}
	
	
	
}
