/* gvSIG. Geographic Information System of the Valencian Government
*
* Copyright (C) 2007-2008 Infrastructures and Transports Department
* of the Valencian Government (CIT)
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
* MA  02110-1301, USA.
* 
*/

package es.prodevelop.gvsig.mobile.gpe.fmap;

import org.gvsig.xmlschema.som.IXSSchemaDocument;

import es.prodevelop.gvsig.mobile.fmap.MapContext;

/**
 * Factory of Gpe Drivers to parse vectorial layers.	
 * 														
 * <br>2008 PRODEVELOP SL</br> 
 * @author Carlos Snchez Perin <br>csanchez@prodevelop.es</br>
 */

public class DriverGpeFactory {
	
	/**
	 * Creates a new GPE driver. 
	 * 
	 * @param mapContext 		The map
	 * @param schemaDocument	The XML schema document
	 * @param xsElementName		The name of the main element that contains layer structure
	 * @return VectorialGpeDriver	GPE vectorial driver
	 */
	public static VectorialGpeDriver createVectorialDriver(MapContext mapContext, IXSSchemaDocument schemaDocument,
			String xsElementName){
		if (xsElementName != null){
		}
		VectorialGpeDriver driver = new VectorialGpeDriver(mapContext);
		return driver;
	}
	
}
